pydo.apps.validate_rollback()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.apps.validate_rollback(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
body={
"deployment_id": "3aa4d20e-5527-4c00-b496-601fbd22520a",
"skip_pin": False,
},
)Description
Check whether an app can be rolled back to a specific deployment. This endpoint can also be used to check if there are any warnings or validation conditions that will cause the rollback to proceed under unideal circumstances. For example, if a component must be rebuilt as part of the rollback causing it to take longer than usual.
Parameters
app_idstring requiredThe app ID
deployment_idstring optionalExample:
3aa4d20e-5527-4c00-b496-601fbd22520aThe ID of the deployment to rollback to.
skip_pinboolean optionalExample:
FalseWhether to skip pinning the rollback deployment. If false, the rollback deployment will be pinned and any new deployments including Auto Deploy on Push hooks will be disabled until the rollback is either manually committed or reverted via the CommitAppRollback or RevertAppRollback endpoints respectively. If true, the rollback will be immediately committed and the app will remain unpinned.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/rollback/validate in the API reference for additional detail on responses, headers, parameters, and more.